### Signal

# ECal ReminderWatcher::triggered

since: 3.30

#### Declaration

    void
    triggered (
      EReminderWatcher* self,
      gpointer reminders,
      gboolean snoozed,
      gpointer user_data
    )

#### Description [src]

Signal is emitted when any reminder is either overdue or triggered.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.30

#### Parameters

`reminders`

  Type: A list of `EReminderData*`

  A `GSList` of `EReminderData`.

`snoozed`

  Type: `gboolean`

  `TRUE`, when the `reminders` had been snoozed, `FALSE` otherwise.